package com.xzzn.common.enums;

/**
 * ammeter-电表数据类别
 * 
 * @author xzzn
 */
public enum AmmeterCategory
{
    CURRENT_FORWARD_ACTIVE("1", "当前正向有功电能"),
    CURRENT_FORWARD_REACTIVE("2", "当前正向无功电能"),
    CURRENT_REVERSE_ACTIVE("3", "当前反向有功电能"),
    CURRENT_REVERSE_REACTIVE("4", "当前反向无功电能"),
    A_POWER("3", "A相功率"),
    B_POWER("4", "B相功率"),
    C_POWER("5", "C相功率");

    private final String code;
    private final String info;

    AmmeterCategory(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
